=== debian/changelog ===
qtcreator (13.0.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop the Qt packages minver to 6.4.2.
  * Restore qt6-qmllint-plugins BD.
  * Don't BD on unavailable qt6-quick3d-private-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 31 Jan 2025 11:28:07 -0800

qtcreator (13.0.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Update the build dependencies:
    - bump the Qt packages to 6.4.3, to ensure that QmlDesigner is built
    - drop the manual qt6-qmllint-plugins build dependency, as now
      qt6-declarative-dev depends on all the packages it needs
    - drop libqt6opengl6-dev, which was merged into qt6-base-dev long ago
    - switch the transitional pkg-config to pkgconf
    - add qt6-quick3d-private-dev, actually needed and so far provided by
      qt6-quick3d-dev
    - add libsecret-1-dev, for the embedded copy of qtkeychain
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Refresh patch debian_paths.diff to avoid offsets.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Jun 2024 08:53:01 +0200

qtcreator (13.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 07 May 2024 23:03:24 +0200
