=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: clang (>= 1:14~),
               clangd (>= 1:14~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               libclang-dev (>= 1:14~),
               libdw-dev,
               libqt6opengl6-dev,
               libsecret-1-dev,
               libyaml-cpp-dev (>= 0.5~),
               libzstd-dev,
               llvm-dev (>= 1:14~),
               pkgconf,
               python3:any,
               qt6-5compat-dev (>= 6.4.2~),
               qt6-base-dev (>= 6.4.2~),
               qt6-base-private-dev (>= 6.4.2~),
               qt6-declarative-dev (>= 6.4.2~),
               qt6-declarative-private-dev (>= 6.4.2~),
               qt6-qmllint-plugins (>= 6.4.2~),
               qt6-quick3d-dev (>= 6.4.2~),
#               qt6-quick3d-private-dev (>= 6.4.2~),
               qt6-quicktimeline-dev (>= 6.4.2~),
               qt6-serialport-dev (>= 6.4.2~),
               qt6-shadertools-dev (>= 6.4.2~),
               qt6-svg-dev (>= 6.4.2~),
               qt6-tools-dev (>= 6.4.2~),
               qt6-tools-private-dev (>= 6.4.2~),
               xxd
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcreator

Package: qtcreator
Architecture: any
Depends: clang-tidy,
         clangd (>= 1:14~),
         gdb,
         libqt6sql6-sqlite,
         make,
         qml-qt6,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qt6-base-dev-tools,
         qt6-declarative-dev-tools,
         qt6-qmltooling-plugins,
         qt6-tools-dev-tools,
         qt6-translations-l10n,
         qtcreator-data (= ${source:Version}),
         qtcreator-doc,
         xterm | x-terminal-emulator,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: clazy (>= 1.5),
          cmake,
          g++,
          git,
          meson,
          python3-pylsp,
          subversion,
          valgrind
Description: integrated development environment (IDE) for Qt
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms
  * Qt Quick Designer

Package: qtcreator-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: application data for Qt Creator IDE
 This package contains architecture-independent data for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-image-formats-plugins, ${misc:Depends}
Description: documentation for Qt Creator IDE
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 This package contains documentation for Qt Creator IDE.
