=== src/plugins/luals/CMakeLists.txt ===
add_qtc_lua_plugin(luals
    SOURCES luals/luals.lua
            luals/init.lua
)
