=== src/plugins/rustls/CMakeLists.txt ===
add_qtc_lua_plugin(rustls
    SOURCES rustls/rustls.lua
            rustls/init.lua
)
