=== src/plugins/tellajoke/CMakeLists.txt ===
add_qtc_lua_plugin(tellajoke SOURCES tellajoke/tellajoke.lua)
