=== debian/changelog ===
qtcreator (14.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 6.5.4, to ensure that QmlDesigner is built
    - add qt6-charts-dev

 -- Pino Toscano <pino@debian.org>  Sun, 16 Jun 2024 09:02:51 +0200
