=== debian/changelog ===
qtcreator (14.0.0~beta2-2) experimental; urgency=medium

  * Team upload.
  * Bump the minimum clangd required version (both as build and runtime
    dependency) to 17: this is already a requirement since beta1, and this
    version bump was missed in previous uploads of qtcreator 14.
  * Stop building the developer documentation: it refers to the internal APIs
    of qtcreator to build new plugins for it, which is not possible as no
    development bits are shipped
    - stop passing -DBUILD_DEVELOPER_DOCS=ON to cmake

 -- Pino Toscano <pino@debian.org>  Fri, 28 Jun 2024 21:23:57 +0200

qtcreator (14.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jun 2024 17:31:07 +0200
