=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Adam Majer <adamm@zombino.com>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: clang (>= 1:14~),
-               clangd (>= 1:14~),
+               clangd (>= 1:17~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                libclang-dev (>= 1:14~),
@@ -39,7 +39,7 @@
 
 Package: qtcreator
 Architecture: any
-Depends: clangd (>= 1:14~),
+Depends: clangd (>= 1:17~),
          libqt6sql6-sqlite,
          qml6-module-qtqml-models,
          qml6-module-qtqml-workerscript,
