=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=cmake -- \
-		-DBUILD_DEVELOPER_DOCS=ON \
 		-DBUILD_QBS=OFF \
 		-DWITH_TESTS=OFF \
 		-DBUILD_TESTING=OFF \
@@ -72,11 +71,6 @@
 	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator
 	rm debian/shlibs.local
 
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
-
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_with_dwz_low_mem)))
 override_dh_dwz:
 	dh_dwz -- --low-mem-die-limit $(dwz_low_mem)
