## qtcreator 14.0.2

=== debian/changelog ===
qtcreator (14.0.2-4) unstable; urgency=medium

  * Stop using clang to build on mips64el:
    - the current new default clang in debian (19) fails to build what seems
      to be valid code (or at least that gcc compiles just fine)
    - the code of the clangformat plugin changed enough to not hit again into
      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=102602
    - there are no other issues due to "big code/functions" anymore, and gcc
      is able to build everything again
  * Remove old lintian override.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Oct 2024 18:19:29 +0200

qtcreator (14.0.2-3) unstable; urgency=medium

  * Backport upstream commit f175ec933f1c5c5d7a345edbaacc8ff90202aee2 to fix
    the build with LLVM >= 19; patch
    upstream_ClangFormat-Fix-build-with-current-LLVM-main-branch.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Oct 2024 13:16:44 +0200

qtcreator (14.0.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Add myself to Uploaders.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Oct 2024 10:22:05 +0200

qtcreator (14.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2024 19:15:49 +0200

qtcreator (14.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Aug 2024 21:17:44 +0200

qtcreator (14.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Drop the permission fixing of qmldir files, as they are now shipped or
    installed upstream without executable permissions set.

 -- Pino Toscano <pino@debian.org>  Fri, 26 Jul 2024 05:42:06 +0200

qtcreator (14.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jul 2024 05:26:11 +0200
