=== debian/rules ===
--- 
+++ 
@@ -18,16 +18,6 @@
 # friendly processing for a lower number of DIEs (dwz default is 10M)
 archs_with_dwz_low_mem = armel armhf
 dwz_low_mem = 3000000
-
-archs_using_clang = mips64el
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_using_clang)))
-export CC=clang
-export CXX=clang++
-export DEB_CFLAGS_MAINT_APPEND := -gdwarf-4
-export DEB_CXXFLAGS_MAINT_APPEND := -gdwarf-4
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
-EXTRA_CMAKE_ARGS += -DBUILD_WITH_PCH=OFF
-endif
 
 %:
 	dh $@ --builddirectory=builddir
@@ -56,9 +46,6 @@
 	# License files of the embedded copy of KSyntaxHighlighting
 	rm -rf debian/tmp/usr/share/qtcreator/generic-highlighter/syntax/licenses/
 
-	# Remove extra exec permissions
-	find debian/tmp -name qmldir -type f -perm /111 -exec chmod -v -x {} \;
-
 execute_after_dh_install:
 	# Copied in qtcreator-doc already
 	rm -rf debian/qtcreator-data/usr/share/qtcreator/doc/
