## qtcreator 15.0.0~beta1

=== debian/changelog ===
qtcreator (15.0.0~beta1-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the patches:
    - upstream_ClangFormat-Fix-build-with-current-LLVM-main-branch.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Fri, 18 Oct 2024 23:08:39 +0200
