## qtcreator 15.0.0~beta2

=== debian/changelog ===
qtcreator (15.0.0~beta2-2) experimental; urgency=medium

  * Disable the build of the Go CmdBridge: more work is needed to actually
    build it offline using the existing Debian packages of the used modules
    - remove the golang, golang-github-fsnotify-fsnotify-dev,
      golang-github-fxamacker-cbor-dev, and golang-golang-x-sys-dev build
      dependencies
  * Backport the upstream review
    https://codereview.qt-project.org/c/qt-creator/qt-creator/+/598448 to fix
    the build on 32bit architectures; patch
    Utils-fix-conflict-of-withSuffix-int-and-withSuffix-.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Nov 2024 06:46:25 +0100

qtcreator (15.0.0~beta2-1) experimental; urgency=medium

  * New upstream development release.
  * Enable the build of the Go CmdBridge:
    - add the golang, golang-github-fsnotify-fsnotify-dev,
      golang-github-fxamacker-cbor-dev, and golang-golang-x-sys-dev build
      dependencies
    - exclude the stripping of the cmdbridge executables, as they are already
      stripped (and they would require cross-tools to strip them anyway)

 -- Pino Toscano <pino@debian.org>  Fri, 01 Nov 2024 06:05:38 +0100
