=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Pino Toscano <pino@debian.org>,
 Build-Depends: clang (>= 1:14~),
                clangd (>= 1:17~),
                cmake (>= 3.16~),
