=== debian/rules ===
--- 
+++ 
@@ -62,3 +62,6 @@
 override_dh_dwz:
 	dh_dwz -- --low-mem-die-limit $(dwz_low_mem)
 endif
+
+override_dh_strip:
+	dh_strip -Xusr/libexec/qtcreator/cmdbridge
