## qtcreator 15.0.0

=== debian/changelog ===
qtcreator (15.0.0-1build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:45:59 -0600

qtcreator (15.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Pass --low-mem-die-limit to reduce the memory used by dwz also on
    hurd-i386.

 -- Pino Toscano <pino@debian.org>  Tue, 03 Dec 2024 07:40:14 +0100

qtcreator (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream development release.
  * Update the patches:
    - Utils-fix-conflict-of-withSuffix-int-and-withSuffix-.patch: drop, fixed
      upstream

 -- Pino Toscano <pino@debian.org>  Thu, 14 Nov 2024 18:55:23 +0100
